#==================================================================================================
# From: Lukas Oberhuber
# Date: Sun, 10 Nov 2024 15:48:14 +0000
# Subject: [PATCH] meson: Fix objective c build for gcc
#
# Merge Request:
# - https://gitlab.gnome.org/GNOME/gegl/-/merge_requests/201
#
# Related Issues:
# - https://gitlab.gnome.org/GNOME/gegl/-/issues/393
# - https://gcc.gnu.org/bugzilla/show_bug.cgi?id=117478
#==================================================================================================
--- meson.build.orig	2024-11-04 00:39:32.000000000 +0800
+++ meson.build	2024-11-07 19:28:37.000000000 +0800
@@ -245,12 +245,12 @@
 
 if os_osx
   add_languages('objc')
-  osx_ldflags = ['-Wl,-framework,Foundation', '-Wl,-framework,AppKit', '-ObjC']
+  osx_ldflags = ['-Wl,-framework,Foundation', '-Wl,-framework,AppKit']
   add_project_link_arguments(osx_ldflags, language : ['objc', 'c'])
 endif
 
 if os_osx
-  add_project_arguments('-ObjC', language : 'c')
+  add_project_arguments('-xobjective-c', language : 'c')
 endif
 
 ################################################################################
